DeviseAuthentication::InvitationsController.class_eval do
    private

    # User accepted the invitation. Thus, he needs to be added to the originating organisation.
    def accept_resource
        invited_user = super

        # Find invitee and add this new user to his organisation.
        invitee_organisation = RechnMgmUserArea::Organisation.where(id: invited_user.invited_for_organisation_id).first
        fail "Invitee organisation was not found with id #{invited_user.invited_for_organisation_id}" if invitee_organisation.nil?
        new_membership = RechnMgmUserArea::MemberShip.new(user_id: invited_user.id, organisation_id: invitee_organisation.id)
        if new_membership.save
            Rails.logger.info("User #{invited_user.id} successfully added to organisation #{invitee_organisation.id}")
        else
            Rails.logger.error("User #{invited_user.id} could not be added to organisation #{invitee_organisation.id}: #{new_membership.errors}")
        end

        # Invited users will see a reduced feature set and will not see his own organisation..
        invited_user.hide_own_organisation = true

        invited_user
    end
end
