module RechnMgmUserArea
    class MemberShip
        include NoBrainer::Document
        include NoBrainer::Document::Timestamps

        belongs_to :user, :class_name => DeviseAuthentication::User, :index => true
        belongs_to :organisation, :index => true

        scope (:hide_own) do |hide|
            if hide
                where(:is_primary => false)
            else
                where()
            end
        end

        scope (:no_admin) { where(:roles_mask.gt => 1) }

        field :is_primary,  :type => Boolean, :default => false
        field :roles_mask,  :type => Integer, :default => 4, :validates => { numericality: { greater_than: 0 } }
    end
end
